## barbican 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
cffi>=1.7.0 # MIT
cryptography>=2.1 # BSD/Apache-2.0
eventlet>=0.18.2,!=0.18.3,!=0.20.1  # MIT
jsonschema<3.0.0,>=2.6.0 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pyOpenSSL>=17.1.0 # Apache-2.0
ldap3>=1.0.2 # LGPLv3
keystonemiddleware>=4.17.0 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT
castellan >= 0.17 # Apache-2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
reno>=2.5.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
castellan >= 0.17 # Apache-2.0
pykmip>=0.7.0 # Apache 2.0 License

=== debian/changelog ===
barbican (1:7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Correctly rm api_audit_map.conf before /etc/barbican on purge.
    (Closes: #905501)

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 11:43:53 +0200

barbican (1:7.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist WhenTestingKMIPSecretStore.test_credential() that looks broken.
  * d/rules: rm -rf $(CURDIR)/debian/tmp/usr/etc.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 09:10:00 +0200

barbican (1:6.0.0-5) unstable; urgency=medium

  * Remove api-paste.ini patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jun 2018 17:41:52 +0200

barbican (1:6.0.0-4) unstable; urgency=medium

  * Nicer daemon desc.
  * Switch api to uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jun 2018 11:16:48 +0200

barbican (1:6.0.0-3) unstable; urgency=medium

  * debconf edits keystone_authtoken in barbican.conf, not in the
    apt-paste.conf (Closes: #894171).

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Mar 2018 06:46:10 +0000

barbican (1:6.0.0-2) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:18:23 +0000

barbican (1:6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Generate policy.json using --format json.
  * Switch to openstack-pkg-tools >= 70~:
    - removed embedded debconf templates, merging at build time the ones from
      openstack-pkg-tools.
  * barbican now use the standard keystone_authtoken section instead of
    the legacy filter:authtoken: maint scripts follow.
  * Add barbican-common.{pre,post}rm to clean the db correctly on purge.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Mar 2018 22:01:08 +0000

barbican (1:6.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 10:03:16 +0000

barbican (1:6.0.0~rc1-1) experimental; urgency=medium

  [ David Rabel ]
  * Remove unused repair-broken-migration-scripts.patch

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switch to Python 3.
  * Standards-Version is now 4.1.3.
  * Fixed copyright holders list and years.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2018 15:18:16 +0000

barbican (1:5.0.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use dh_missing --fail-missing

  [ Thomas Goirand ]
  * rm -f /etc/barbican/api_audit_map.conf on purge (Closes: #886928).
  * Add ru.po debconf templates translation (Closes: #883461).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jan 2018 11:38:22 +0100

barbican (1:5.0.0-3) unstable; urgency=medium

  * Team upload.
  * Fix short description of barbican-api (Closes: #881499)
  * Update Dutch translation of debconf messages (Closes: #881766)
  * d/control: Remove duplicate B-D on python-openstackdocstheme
  * d/control: Add lsb-base to depends for init scripts

 -- Ondřej Nový <onovy@debian.org>  Sat, 18 Nov 2017 17:08:58 +0100

barbican (1:5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Added missing build-depends: python-pep8 (Closes: #880225).
  * Updated fr.po (Closes: #876311).
  * Uploading to unstable (Closes: #871173).
  * Removed dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2017 22:07:32 +0000

barbican (1:5.0.0-1) experimental; urgency=medium

  * Add patch for requirements.txt to avoid FTBFS in Jessie.
  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Fixed (build-)depends for this release.
  * Updated VCS URLs.
  * Fixed Maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Standards-Version is now 4.1.1.
  * Minor debian/rules clean-ups.
  * Generating config files with oslo binaries.
  * Removed, refreshed and rebased patches.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Oct 2017 02:00:11 +0200

=== debian/control ===
Source: barbican
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2) <!nodoc>,
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bandit,
 python3-babel,
 python3-castellan (>= 0.17),
 python3-cffi,
 python3-coverage,
 python3-cryptography (>= 2.1),
 python3-dateutil,
 python3-ddt <!nocheck>,
 python3-eventlet,
 python3-falcon,
 python3-fixtures,
 python3-hacking <!nocheck>,
 python3-jsonschema (>= 2.6.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-ldap3 (>= 1.0.2),
 python3-mock <!nocheck>,
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-os-api-ref (>= 1.4.0) <!nodoc>,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0) <!nocheck>,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-pep8 <!nocheck>,
 python3-pygments <!nocheck>,
 python3-pykmip (>= 0.7.0) <!nodoc>,
 python3-requests (>= 2.14.2),
 python3-six,
 python3-sphinxcontrib.blockdiag <!nodoc>,
 python3-sphinxcontrib.httpdomain <!nodoc>,
 python3-sqlalchemy,
 python3-stestr (>= 2.0.0) <!nocheck>,
 python3-stevedore (>= 1.20.0),
 python3-tempest (>= 1:17.1.0) <!nocheck>,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 python3-webtest (>= 2.0.27),
 subunit,
 tempest (>= 1:12.1.0) <!nocheck>,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/barbican
Vcs-Git: https://salsa.debian.org/openstack-team/services/barbican.git
Homepage: https://github.com/openstack/barbican

Package: barbican-api
Architecture: all
Section: python
Depends:
 adduser,
 barbican-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.

Package: barbican-keystone-listener
Architecture: all
Depends:
 barbican-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-worker
Architecture: all
Depends:
 barbican-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: python3-barbican
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python3-babel,
 python3-castellan (>= 0.17),
 python3-cffi,
 python3-cryptography (>= 2.1),
 python3-dateutil,
 python3-eventlet,
 python3-falcon,
 python3-jsonschema (>= 2.6.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-ldap3 (>= 1.0.2),
 python3-openssl (>= 17.1.0),
 python3-oslo.concurrency (>= 3.5.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-paste,
 python3-pastedeploy,
 python3-pbr (>= 2.0.0),
 python3-pecan,
 python3-pymysql,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-webob (>= 1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - Python files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python files and libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_auto_clean:
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf barbican.sqlite
	rm -f debian/barbican-api.postinst debian/barbican-api.config debian/barbican-common.postinst debian/barbican-common.config debian/barbican-common.postrm

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm barbican-common.postrm
	pkgos-merge-templates barbican-api barbican endpoint
	pkgos-merge-templates barbican-common barbican db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'barbican\.tests\.(?!(.*common.test_utils\.WhenTestingAcceptEncodingGetter\.test_get_correct_fullname_for_class.*|.*common\.test_utils\.WhenTestingGenerateFullClassnameForInstance\.test_returns_qualified_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificateEventPluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_ca_id.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_refresh_ca_list.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_delete_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_asymmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_symmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_opaque.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_private_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_public_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_symmetric.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_private_key_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_symmetric_secret_assert_called.*|.*tasks\.test_keystone_consumer\.WhenUsingKeystoneEventConsumerProcessMethod\.test_existing_project_entities_cleanup_for_plain_secret.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_credential.*))'

endif

	# Generate the barbican.conf config using installed python-barbican files.
	mkdir -p $(CURDIR)/debian/barbican-common/usr/share/barbican-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf \
		--wrap-width 140 \
		--namespace barbican.certificate.plugin \
		--namespace barbican.certificate.plugin.snakeoil \
		--namespace barbican.common.config \
		--namespace barbican.plugin.crypto \
		--namespace barbican.plugin.crypto.p11 \
		--namespace barbican.plugin.crypto.simple \
		--namespace barbican.plugin.dogtag \
		--namespace barbican.plugin.secret_store \
		--namespace barbican.plugin.secret_store.kmip \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_authtoken barbican

	# Same with policy.conf
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/barbican-common/usr/share/barbican-common/policy.json \
		--format json \
		--namespace barbican

	# Restore sanity...
	pkgos-fix-config-default $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_notifications enable True

	dh_install
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_missing --fail-missing

	# Installing the other config files.
	for i in api_audit_map.conf barbican-api-paste.ini barbican-functional.conf vassals/barbican-api.ini ; do \
		install -D -m 0664 etc/barbican/$$i $(CURDIR)/debian/barbican-common/usr/share/barbican-common/$$i ; \
	done

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/barbican-doc/usr/share/doc/barbican-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## barbican 8.0.0~rc1

=== debian/changelog ===
barbican (1:8.0.0~rc1-2) experimental; urgency=medium

  * Using config generators without the python3- prefixes.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 15:18:43 +0100

barbican (1:8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed all dependency versions, satisfied in Buster.
  * Add python3-oslo.upgradecheck.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 14:57:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,66 +7,67 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 74~),
+ openstack-pkg-tools (>= 96~),
  po-debconf,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2) <!nodoc>,
+ python3-sphinx <!nodoc>,
 Build-Depends-Indep:
- alembic (>= 0.8.10),
+ alembic,
  bandit,
  python3-babel,
- python3-castellan (>= 0.17),
+ python3-castellan,
  python3-cffi,
  python3-coverage,
- python3-cryptography (>= 2.1),
+ python3-cryptography,
  python3-dateutil,
  python3-ddt <!nocheck>,
  python3-eventlet,
  python3-falcon,
  python3-fixtures,
  python3-hacking <!nocheck>,
- python3-jsonschema (>= 2.6.0),
- python3-keystoneclient (>= 1:3.8.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-ldap3 (>= 1.0.2),
+ python3-jsonschema,
+ python3-keystoneclient,
+ python3-keystonemiddleware,
+ python3-ldap3,
  python3-mock <!nocheck>,
- python3-openssl (>= 17.1.0),
- python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
- python3-os-api-ref (>= 1.4.0) <!nodoc>,
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 2.19.2),
- python3-oslo.db (>= 4.27.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 3.33.0),
- python3-oslo.versionedobjects (>= 1.31.2),
- python3-oslotest (>= 1:3.2.0) <!nocheck>,
+ python3-openssl,
+ python3-openstackdocstheme <!nodoc>,
+ python3-os-api-ref <!nodoc>,
+ python3-oslo.config,
+ python3-oslo.context,
+ python3-oslo.db,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.middleware,
+ python3-oslo.policy,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.upgradecheck,
+ python3-oslo.utils,
+ python3-oslo.versionedobjects,
+ python3-oslotest <!nocheck>,
  python3-paste,
  python3-pastedeploy,
  python3-pecan,
  python3-pep8 <!nocheck>,
  python3-pygments <!nocheck>,
- python3-pykmip (>= 0.7.0) <!nodoc>,
- python3-requests (>= 2.14.2),
+ python3-pykmip <!nodoc>,
+ python3-requests,
  python3-six,
  python3-sphinxcontrib.blockdiag <!nodoc>,
  python3-sphinxcontrib.httpdomain <!nodoc>,
  python3-sqlalchemy,
- python3-stestr (>= 2.0.0) <!nocheck>,
- python3-stevedore (>= 1.20.0),
- python3-tempest (>= 1:17.1.0) <!nocheck>,
- python3-testtools (>= 2.2.0),
- python3-webob (>= 1.7.1),
- python3-webtest (>= 2.0.27),
+ python3-stestr <!nocheck>,
+ python3-stevedore,
+ python3-tempest <!nocheck>,
+ python3-testtools,
+ python3-webob,
+ python3-webtest,
  subunit,
- tempest (>= 1:12.1.0) <!nocheck>,
+ tempest <!nocheck>,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/barbican
 Vcs-Git: https://salsa.debian.org/openstack-team/services/barbican.git
@@ -156,40 +157,41 @@
 Architecture: all
 Section: python
 Depends:
- alembic (>= 0.8.10),
+ alembic,
  python3-babel,
- python3-castellan (>= 0.17),
+ python3-castellan,
  python3-cffi,
- python3-cryptography (>= 2.1),
+ python3-cryptography,
  python3-dateutil,
  python3-eventlet,
  python3-falcon,
- python3-jsonschema (>= 2.6.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-ldap3 (>= 1.0.2),
- python3-openssl (>= 17.1.0),
- python3-oslo.concurrency (>= 3.5.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 2.19.2),
- python3-oslo.db (>= 4.27.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 3.33.0),
- python3-oslo.versionedobjects (>= 1.31.2),
+ python3-jsonschema,
+ python3-keystonemiddleware,
+ python3-ldap3,
+ python3-openssl,
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.context,
+ python3-oslo.db,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.middleware,
+ python3-oslo.policy,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.upgradecheck,
+ python3-oslo.utils,
+ python3-oslo.versionedobjects,
  python3-paste,
  python3-pastedeploy,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-pecan,
  python3-pymysql,
  python3-six,
  python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
- python3-webob (>= 1.7.1),
+ python3-stevedore,
+ python3-webob,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Key Management Service - Python files

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 	# Generate the barbican.conf config using installed python-barbican files.
 	mkdir -p $(CURDIR)/debian/barbican-common/usr/share/barbican-common
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf \
 		--wrap-width 140 \
 		--namespace barbican.certificate.plugin \
@@ -62,7 +62,7 @@
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_authtoken barbican
 
 	# Same with policy.conf
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/barbican-common/usr/share/barbican-common/policy.json \
 		--format json \
 		--namespace barbican

## barbican 8.0.0

=== debian/changelog ===
barbican (1:8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 08:39:22 +0100

barbican (1:8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:54:00 +0000

barbican (1:8.0.0~b1~git2019031459.4c0ddda9-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/barbican-common.postinst: Change /etc/barbican to 0750 root:barbican.

  [ James Page ]
  * New upstream snapshot for OpenStack Stein.
  * Drop patches related to Vault AppRole and Mountpoint configuration,
    included upstream.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2019 07:44:35 +0000

barbican (1:8.0.0~b1~git2019013003.ebf1567e-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/encode-b64payload.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:41:16 +0000

barbican (1:8.0.0~b1~git2018111615.503e9b90-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/watch: Scope to 8.x series.
  * d/control, d/rules, d/python(3)-barbican.*, d/tests/*: Drop Python 2
    support.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Nov 2018 15:09:40 -0500

barbican (1:7.0.0-0ubuntu4) disco; urgency=medium

  * d/tests/barbican-shebangs-py3: Update shebang for Python 3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:22:03 -0500

barbican (1:7.0.0-0ubuntu3) cosmic; urgency=medium

  * d/p/encode-b64payload.patch: Cherry-pick from upstream review
    (https://review.openstack.org/#/c/613324/) to ensure base64
    payloads are correctly encoded in Python 3 (LP: #1799746).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Oct 2018 09:48:28 -0400

barbican (1:7.0.0-0ubuntu2) cosmic; urgency=medium

  * d/p/0001-Enable-AppRole-authentication-support-for-Vault.patch:
    Add support for Vault AppRole authentication (LP: #1796851).
  * d/p/0002-Enable-KV-mountpoint-configuration-for-Vault.patch:
    Add support for configuration of the KV mountpoint to use in Vault
    (LP: #1797148).
  * d/control: Bump minimum python{3}-castellan version to 0.19.0-0ubuntu2~
    to pickup associated Vault fixes in lower layers.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Oct 2018 12:21:54 +0100

barbican (1:7.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:47:12 -0400

barbican (1:7.0.0~rc1-0ubuntu3) cosmic; urgency=medium

  * d/barbican-api.apache2, d/barbican-common.apache2: Move back to barbican-api
    package where apache2 dependencies are installed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 09:33:32 -0400

barbican (1:7.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control, d/barbican-*: Move common files to barbican-common. Only have
      python(3)-barbican depend on barbican-common. Other packages that used to
      depend on barbican-common now depend on python-barbican | python3-barbican.
    - d/control: Drop python(3)-barbican conflicts on each other.
    - d/python(3)-barbican.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Aug 2018 11:38:24 -0400

barbican (1:7.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/rules: Drop usr/etc from python{3}-barbican packages.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2018 17:49:29 +0100

barbican (1:7.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 10:32:22 -0400

barbican (1:7.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-barbican package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-barbican Depends.
    - d/control: Make python(3)-barbican conflict against each other.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Run tests with pkgos-dh_auto_test.
    - d/python-barbican.install: Drop, not needed.
    - d/barbican-common.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-barbican.post*, d/python(3)-barbican.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for barbican daemons and add shebang tests.
    - d/tests/barbican-daemons: Use curl to test API.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Jul 2018 11:32:30 -0400

barbican (1:7.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ldap3-to-ldap.patch: Rebased.
  * d/rules: Run tests with stestr.
  * d/control: Set min BD version for python-pykmip dep to 0.8.0
    (https://storyboard.openstack.org/#!/story/2002559).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 12:44:12 -0400

barbican (1:7.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 7.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ldap3-to-ldap.patch: Rebased.
  * d/rules: Exclude usr/etc on dh_install.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/copyright: Use https URLs.


=== debian/control ===
Source: barbican
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-castellan (>= 0.19.0-0ubuntu2~),
 python3-cffi (>= 1.7.0),
 python3-coverage (>= 4.0),
 python3-crypto (>= 2.6),
 python3-cryptography (>= 2.1),
 python3-ddt (>= 1.0.1),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-ldap (>= 3.0.0),
 python3-mock (>= 2.0.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.0.0),
 python3-pep8,
 python3-pykmip (>= 0.7.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr,
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
Homepage: https://github.com/openstack/barbican
Testsuite: autopkgtest-pkg-python

Package: barbican-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 barbican-api (<< 1:7.0.0~rc1-0ubuntu2~),
 barbican-keystone-listener (<< 1:7.0.0~rc1-0ubuntu2~),
 barbican-worker (<< 1:7.0.0~rc1-0ubuntu2~),
Replaces:
 barbican-api (<< 1:7.0.0~rc1-0ubuntu2~),
 barbican-keystone-listener (<< 1:7.0.0~rc1-0ubuntu2~),
 barbican-worker (<< 1:7.0.0~rc1-0ubuntu2~),
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.

Package: barbican-keystone-listener
Architecture: all
Depends:
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-worker
Architecture: all
Depends:
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: python3-barbican
Architecture: all
Section: python
Depends:
 barbican-common (= ${binary:Version}),
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-castellan (>= 0.19.0-0ubuntu2~),
 python3-cffi (>= 1.7.0),
 python3-crypto (>= 2.6),
 python3-cryptography (>= 2.1),
 python3-eventlet (>= 0.18.2),
 python3-jsonschema (>= 2.6.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-ldap (>= 3.0.0),
 python3-openssl (>= 17.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-pykmip (>= 0.8.0),
Recommends:
 python3-pymysql,
Description: OpenStack Key Management Service - Python 3 files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python 3 files and libraries.

=== debian/rules ===
#!/usr/bin/make -f

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with apache2,python3,systemd,sphinxdoc

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator \
		--config-file etc/oslo-config-generator/barbican.conf \
		--output-file etc/barbican/barbican.conf
	dh_install --fail-missing -Xusr/etc
	rm -rf $(CURDIR)/debian/python*-barbican/usr/etc

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/barbican-doc/usr/share/doc/barbican-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf barbican.sqlite
	rm -rf .eggs
	rm -f etc/barbican/barbican.conf

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/barbican barbican-(8\.\d.*)\.tar\.gz

## barbican 8.0.1

=== requirements.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 oslo.policy>=1.30.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.upgradecheck>=0.1.1 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
 Paste>=2.0.2 # MIT

=== debian/changelog ===
barbican (1:8.0.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Chris MacNaughton ]
  * d/watch: Update to point at opendev.org.
  * New upstream release for OpenStack Stein (LP: #1888203).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 03 Aug 2020 12:29:24 +0000

barbican (1:8.0.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 12 Apr 2019 11:44:57 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/barbican barbican-(8\.\d.*)\.tar\.gz

## barbican 9.0.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
 sphinxcontrib-httpdomain>=1.3.0 # BSD
 sphinxcontrib-blockdiag>=1.5.4 # BSD
 reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
barbican (1:9.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 23:48:08 +0200

barbican (1:9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 16:53:11 +0200

barbican (1:9.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2019 09:38:04 +0200

barbican (1:8.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 15:18:01 +0200

barbican (1:8.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyrights file

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 19:02:42 +0200

barbican (1:8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 08:51:35 +0200

barbican (1:8.0.0~rc1-3) experimental; urgency=medium

  * Bump castellan min version to 1.2.2 (Closes: #926287).

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2019 23:07:51 +0200

=== debian/control ===
Source: barbican
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-babel,
 python3-castellan (>= 1.2.2),
 python3-cffi,
 python3-coverage,
 python3-cryptography,
 python3-dateutil,
 python3-ddt <!nocheck>,
 python3-eventlet,
 python3-falcon,
 python3-fixtures,
 python3-hacking <!nocheck>,
 python3-jsonschema,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-ldap3,
 python3-mock <!nocheck>,
 python3-openssl,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest <!nocheck>,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-pep8 <!nocheck>,
 python3-pygments <!nocheck>,
 python3-pykmip <!nodoc>,
 python3-requests,
 python3-six,
 python3-sphinxcontrib.blockdiag <!nodoc>,
 python3-sphinxcontrib.httpdomain <!nodoc>,
 python3-sqlalchemy,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-tempest <!nocheck>,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
 tempest <!nocheck>,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/barbican
Vcs-Git: https://salsa.debian.org/openstack-team/services/barbican.git
Homepage: https://github.com/openstack/barbican

Package: barbican-api
Architecture: all
Section: python
Depends:
 adduser,
 barbican-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.

Package: barbican-keystone-listener
Architecture: all
Depends:
 barbican-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-worker
Architecture: all
Depends:
 barbican-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: python3-barbican
Architecture: all
Section: python
Depends:
 alembic,
 python3-babel,
 python3-castellan (>= 1.2.2),
 python3-cffi,
 python3-cryptography,
 python3-dateutil,
 python3-eventlet,
 python3-falcon,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-ldap3,
 python3-openssl,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-pymysql,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - Python files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python files and libraries.
